<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <a href="AI_BEZIER.html"><font color="#008000">AI_BEZIER</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> := <font color="#BC8F8F">"Operation: bezier"</font>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">version</font></strong> := <font color="#A020F0">1</font>;  
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Inherit</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_ai_operation</font></strong>:<a href="AI_OPERATION.html"><font color="#008000">AI_OPERATION</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">wx1</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">wy1</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">wx2</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">wy2</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">x</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">y</font></strong>:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>;
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Creation.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">create_w1</font></strong> (lx1,ly1:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <strong><font color="#0000FF">w2</font></strong> (lx2,ly2:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <strong><font color="#0000FF">to</font></strong> (lx3,ly3:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) :<font color="#008000">SELF</font> <-
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">make_w1</font></strong> (lx1,ly1:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <strong><font color="#0000FF">w2</font></strong> (lx2,ly2:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <strong><font color="#0000FF">to</font></strong> (lx3,ly3:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a>) <-
    
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Draw</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw_stroke</font></strong> b:<a href="BITMAP.html"><font color="#008000">BITMAP</font></a> <strong><font color="#0000FF">scale</font></strong> s:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <-
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">draw_fill</font></strong> b:<a href="BITMAP.html"><font color="#008000">BITMAP</font></a> <strong><font color="#0000FF">scale</font></strong> s:<a href="REAL_16_16.html"><font color="#008000">REAL_16_16</font></a> <-
  
  <br><font FACE="Sans-serif" color="#000000"><B>  </B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Display.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">display</font></strong> <-
  


</body>
</html>

